%define major	5

%define plugindir %{_libdir}/esmtp%{major}-plugins

Summary: SMTP client library.
Name:     	libesmtp
Version:  	0.8.11
Release:  	1mdk
License:	LGPL
Group:		System/Libraries
Source:  	http://www.stafford.uklinux.net/libesmtp/%{name}-%{version}.tar.bz2
URL:       	http://www.stafford.uklinux.net/libesmtp/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	openssl-devel libltdl-devel

%description
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.

%package -n %{name}%{major}
Summary: %{summary}
Group: %{group}
Provides: %{name} = %{version}
Obsoletes: %{name}

%description -n %{name}%{major}
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.


%package -n %{name}%{major}-devel
Summary: Headers and development libraries for libESMTP.
Group: Development/C
Requires: %{name}%{major} = %{version}
Provides: %{name}-devel = %{version}
Obsoletes: %{name}-devel

%description -n %{name}%{major}-devel
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim.

The libesmtp-devel package contains headers and development libraries
necessary for building programs against libesmtp.

%prep 
%setup -q

%build
CFLAGS="%optflags" ./configure --prefix=%{_prefix} \
  --with-auth-plugin-dir=%{plugindir} --enable-pthreads \
  --enable-require-all-recipients --enable-debug \
  --enable-etrn --enable-starttls

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{name}%{major} -p /sbin/ldconfig

%postun -n %{name}%{major} -p /sbin/ldconfig

%files -n %{name}%{major}
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.GPL NEWS Notes README
%{_libdir}/libesmtp.so.*
%dir %{plugindir}
%{plugindir}/*.so
%{plugindir}/*.la

%files -n %{name}%{major}-devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{plugindir}/*.a

%changelog
* Thu Mar  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.11-1mdk
- Release 0.8.11 (security fix)

* Thu Dec 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.8-1mdk
- Release 0.8.8

* Mon Dec 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.7-1mdk
- Fix Mdk package

* Thu Aug 30 2001 Bill Nottingham <notting@redhat.com>
- fix assertion failure when sending mail (#52940)

* Mon Aug 20 2001 Bill Nottingham <notting@redhat.com>
- update to 0.8.4 (fixes CRAM-MD5, #52097)

* Mon Jul 30 2001 Bill Nottingham <notting@redhat.com>
- don't enable starttls (not fully tested, at request of author)

* Wed Jul 24 2001 Bill Nottingham <notting@redhat.com>
- rebuild, openssl weirdness

* Mon Jul 23 2001 Bill Nottingham <notting@redhat.com>
- initial build, clean up included spec file
- add %post/%postun
